id = "T3" --size cap
species = "S1"

-- Heritability of the trait
phenoVar = 2
phenoMean = 32
h2 = 0.8

--Locus weight for allelic effects
varLociWeights = 2

-- Selection Intensity
selIntParam =
{
    -- Allowed values: userdata, value
    -- If source == "userdata": matrix sel_int.txt directly filled by user
    -- If source == "value": a unique value is assigned to all cells
    source = "value",
    omega = 50,
}

-- Macro-environmental effect E
envEffParam =
{
    -- Source of data, allowed values: userdata, value, param
    -- If source == "userdata": matrix e.txt directly filled by user
    -- If source == "value": a unique value E is assigned to all cells
    --     arg: E = number,
    -- If source == "param": generation of a gradient according to one dimension
    --     arg: Ke = number,
    source = "value",
    E = 20,
}

-- Optimal trait value Zopt
zoptParam =
{
    -- Source of data, allowed values: userdata, value, param
    -- If source == "userdata": matrix zopt.txt directly filled by user
    -- If source == "value": a unique value is assigned to all cells
    --     arg: zopt = number,
    -- If source == "param": generation of a gradient according to one dimension
    --     arg: counterGrad = true or false,
    --     arg: Kzopt = number
    source = "value",
    zopt = 60
}

-- Phenotypic plasticity
-- If non heritable phenotypic plasticity, Z = G + E + epsilon (only loci of type a)
-- no GxE interaction, nhpp should be true
nhpp = true
-- Otherwise Z = a + bE + epsilon, two kinds of locus: a (intercept of reaction norm) and b (slope)
-- reference environmental value Eref required
Eref = 10

ltypes = {
    {
        id = "a",
        lociList = {21, 22, 23, 24, 25, 26, 27, 28, 29, 30},
	phi = 0.25
    },
}
