id = "T5" --midval
species = "S1"

-- Heritability of the trait
h2 = 0.999

--All effect
varLociWeights = 2

-- Selection Intensity
selIntParam =
{
    -- Allowed values: userdata, value
    -- If source == "userdata": matrix sel_int.txt directly filled by user
    -- If source == "value": a unique value is assigned to all cells
    --     arg: omega = number
    source = "value",
    omega = 1000,
}


envEffParam =
{
    -- Source of data, allowed values: userdata, value, param
    -- If source == "userdata": matrix e.txt directly filled by user
    -- If source == "value": a unique value E is assigned to all cells
    --     arg: E = number,
    -- If source == "param": generation of a gradient according to one dimension
    --     arg: Ke = number,
    source = "value",
    E = 60,
}


zoptParam =
{
    -- Source of data, allowed values: userdata, value, param
    -- If source == "userdata": matrix zopt.txt directly filled by user
    -- If source == "value": a unique value is assigned to all cells
    --     arg: zopt = number,
    -- If source == "param": generation of a gradient according to one dimension
    --     arg: counterGrad = true or false,
    --     arg: Kzopt = number
    source = "value",
    zopt = 60
}


-- Phenotypic plasticity
-- If non heritable phenotypic plasticity, Z = G + E + epsilon
-- no GxE interaction, nhpp should be true
nhpp = true
-- Otherwise Z = a + bE + epsilon, two kinds of locus: a (intercept of reaction norm) and b (slope)
-- reference environmental value Eref required
Eref = 0.1

ltypes = {
    {
        id = "a",
        lociList = {41, 42, 43, 44, 45, 46, 47, 48, 49, 50},
    },
}
